package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

public enum HalfDayRuleREnum implements BaseEnum {
    BY_CLASS_SET("0","按班次设置"),
    FIXED_DURATION("1","取固定时间"),
    HALF_TOTAL_DURATION("2","取总时长一半"),
    HALF_RATED_DURATION("3","取额定时长一半");

    private String key;
    private String value;

    HalfDayRuleREnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
